Query Transaction Id Preview - MindBridge Documentation
Query Transaction Id Preview
Fetch the complete documentation index at: /llms.txt
cURL
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/transaction-id-previews/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/transaction-id-previews/query"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/transaction-id-previews/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/transaction-id-previews/query",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "POST",\
CURLOPT_POSTFIELDS => json_encode([\
\
]),\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>",\
"Content-Type: application/json"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/transaction-id-previews/query"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Format
{
"pageNumber": 123,
"totalPages": 123,
"content": [
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"engagementId": "<string>",
"analysisId": "<string>",
"analysisSourceId": "<string>",
"columnSelection": [
123
],
"smartSplitter": true,
"indicators": {},
"entryPreviews": [
{
"transactionId": "<string>",
"balance": 123,
"entryCount": 123,
"detailRows": [
{}
]
}
]
}
],
"numberOfElements": 123,
"totalElements": 123,
"pageable": {
"pageNumber": 123,
"pageSize": 123,
"offset": 123,
"sort": {
"sorted": true,
"unsorted": true,
"empty": true
}
},
"pageSize": 123,
"sort": {
"sorted": true,
"unsorted": true,
"empty": true
},
"first": true,
"last": true,
"size": 123,
"number": 123
}
Query Parameters
- page: integer (default: 0) - Zero-based page index (0..N)
- size: integer (default: 20) - The size of the page to be returned (Required range: x >= 1)
- sort: string[] - Sorting criteria in the format: property,(asc|desc). Default sort order is ascending.
Body Options
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
Authorization Header
Required: Bearer authentication header of the form Bearer <token>, where <token> is your auth token.